/**
 *
 * 公共 样式 class
 * 	
 */
.ad-uppercase{
  text-transform:uppercase;
  input{
    text-transform:uppercase;
  }
}

.ad-disabled{
    background: #fbfbfb;
}

.fill-parent {
  width: 100%;
  height: 100%;
}

.fill-width {
  width: 100%; 
}

.fill-height {
  height: 100%;
}

.max-fill-parent {  
  max-height: 100%;
  max-width: 100%; 
}

.one-line-text {
  @include single-line-ellipsis;
}

.flex-center{
	@include display-flex;
	@include align-items(center);
	@include justify-content(center);
}
.flex-center-inline{
  @include display-inline-flex;
  @include align-items(center);
  @include justify-content(center);
}

.no-data-color{
  color: #a8a8a8;
}
.no-action-color{
  color: rgba(255, 0, 0, 0.53);
}

/*
  // 搜索框标准class 
  <div class="andon-input-wrapper">
    <input type="text" class="ad-left-child">
    <i class="ad-right-child"></i>
  </div>
 */
.andon-input-wrapper{
  @include display-flex;
  @include align-items(center);
  @include transition(border-color ease-in-out .15s,box-shadow ease-in-out .15s);
  .ad-left-child{
    @include flex;
  }
  .ad-right-child{
    min-width: 2rem;
    text-align: center;
    color: #cccccc;
  }
  &.focus{
    @include box-shadow(0px 0px 8px rgba(3,136,247,0.5));
    border: 1px solid rgb(102, 175, 233);
  }
}

$progressing_i: 0;
@while $progressing_i <= 100 {
  .progressing-#{$progressing_i} {
    right: #{100-$progressing_i};
  }
  $progressing_i: $progressing_i+1;
}

.ad-row{
  @include display-flex;
  @include align-items(center);
}
$ad_col_per: 0;
@while $ad_col_per <= 100 {
  .ad-col-#{$ad_col_per} {
    @include flex(#{$ad_col_per});
  } 
  $ad_col_per: $ad_col_per+1;
}
 
// grid selected status: 不可编辑背景恢复grid默认天蓝色
.ui-grid-row.ui-grid-row-selected>[ui-grid-row]>.ui-grid-cell{
  background-color: #c9dde1 !important;
}

/**
 * 覆盖默认样式
 */
.ui-grid-viewport{
  // overflow: auto !important;
}
.ui-grid-render-container-body{
  div[role=rowgroup]:nth-child(2){
    overflow: auto !important;
  }
}



.upload-datas-success-tip{
  color: #4aff00;
}


/*****        corver ui-grid style         *****/ 
.ui-grid-column-menu-button{
  top: 2px;
}
.ui-grid-header-cell .sortable{ 
  background-color: rgba(139,205,255,.2);
}
.ui-grid-pager-container{
  width: 100%;
  padding-right: 1rem;
  .ui-grid-pager-row-count-picker{
    float: right;
  }
  &:after{
    clear: both;
  }
}
.ui-select-no-choice{  //无下拉值时，依据字体多少判断div的宽度
  width: inherit !important;
}
ul.ui-select-choices-content.ui-select-dropdown{
  overflow: visible !important;
  overflow-y: auto !important;
  li.ui-select-choices-group{
    width: 100% !important;
  }
} 

 
//fixed ui-grid's pager line panel style: the pager count container is out of first line
.ui-grid-pager-panel{
  @include display-flex;
  .ui-grid-pager-container{
    @include flex(1);
  }
  .ui-grid-pager-count-container{
    width: 175px;
    min-width: 100px;
  }
}

// fixed the left sliderbar first click one parent item's animation.
ul.treeview-menu.menu-open{
  display: block !important;
}
// grid selected status: 不可编辑背景恢复grid默认天蓝色
.ui-grid-row.ui-grid-row-selected>[ui-grid-row]>.ui-grid-cell{
  background-color: #c9dde1 !important;
}









// added by ting.liang
.ibox-content h1,
.ibox-content h2,
.ibox-content h3,
.ibox-content h4,
.ibox-content h5,
.ibox-title h1,
.ibox-title h2,
.ibox-title h3,
.ibox-title h4,
.ibox-title h5 {
  margin-top: 5px;
}
.ibox-content.text-box {
  padding-bottom: 0;
  padding-top: 15px;
}
.ibox-content {
  background-color: #ffffff;
  color: inherit;
  padding: 15px 20px 20px 20px;
  border-color: #e7eaec;
  border-image: none;
  border-style: solid solid none;
  border-width: 1px 0;
}
.ibox-content {
  min-width: 600px;
  clear: both;
}
.ibox-heading {
  background-color: #f3f6fb;
  border-bottom: none;
}
.ibox-heading h3 {
  font-weight: 200;
  font-size: 24px;
}
.ibox-title h5 {
  display: inline-block;
  font-size: 14px;
  margin: 0 0 7px;
  padding: 0;
  text-overflow: ellipsis;
  float: left;
}
.ibox-title .label {
  float: left;
  margin-left: 4px;
}
.ibox-tools {
  display: block;
  float: none;
  margin-top: 0;
  position: relative;
  padding: 0;
  text-align: right;
}
.ibox-tools a {
  cursor: pointer;
  margin-left: 5px;
  color: #c4c4c4;
}
/*.clients-list {*/
  /*margin-top: 20px;*/
/*}*/
.clients-list .tab-pane {
  position: relative;
  height: auto;
}
.clients-content{
  border: 1px #F6F7F9 solid;
  padding: 20px;
  border-style: hidden solid solid solid;
  clear: both;
}
.form-group-btn{
  width: 360px
}
.button.dim {
  display: inline-block;
  text-decoration: none;
  text-transform: uppercase;
  text-align: center;
  padding-top: 6px;
  margin-right: 10px;
  position: relative;
  cursor: pointer;
  border-radius: 5px;
  font-weight: 600;
  margin-bottom: 20px !important;
}
button.dim:active {
  top: 3px;
}
button.btn-primary.dim {
  box-shadow: inset 0 0 0 #16987e, 0 5px 0 0 #16987e, 0 10px 5px #999999;
}
button.btn-primary.dim:active {
  box-shadow: inset 0 0 0 #16987e, 0 2px 0 0 #16987e, 0 5px 3px #999999;
}
button.btn-default.dim {
  box-shadow: inset 0 0 0 #b3b3b3, 0 5px 0 0 #b3b3b3, 0 10px 5px #999999;
}
button.btn-default.dim:active {
  box-shadow: inset 0 0 0 #b3b3b3, 0 2px 0 0 #b3b3b3, 0 5px 3px #999999;
}
button.btn-warning.dim {
  box-shadow: inset 0 0 0 #f79d3c, 0 5px 0 0 #f79d3c, 0 10px 5px #999999;
}
button.btn-warning.dim:active {
  box-shadow: inset 0 0 0 #f79d3c, 0 2px 0 0 #f79d3c, 0 5px 3px #999999;
}
button.btn-info.dim {
  box-shadow: inset 0 0 0 #1eacae, 0 5px 0 0 #1eacae, 0 10px 5px #999999;
}
button.btn-info.dim:active {
  box-shadow: inset 0 0 0 #1eacae, 0 2px 0 0 #1eacae, 0 5px 3px #999999;
}
button.btn-success.dim {
  box-shadow: inset 0 0 0 #1872ab, 0 5px 0 0 #1872ab, 0 10px 5px #999999;
}
button.btn-success.dim:active {
  box-shadow: inset 0 0 0 #1872ab, 0 2px 0 0 #1872ab, 0 5px 3px #999999;
}
button.btn-danger.dim {
  box-shadow: inset 0 0 0 #ea394c, 0 5px 0 0 #ea394c, 0 10px 5px #999999;
}
button.btn-danger.dim:active {
  box-shadow: inset 0 0 0 #ea394c, 0 2px 0 0 #ea394c, 0 5px 3px #999999;
}
button.dim:before {
  font-size: 50px;
  line-height: 1em;
  font-weight: normal;
  color: #fff;
  display: block;
  padding-top: 10px;
}
button.dim:active:before {
  top: 7px;
  font-size: 50px;
}


.btn:focus {
  outline: none !important;
}
.btn-primary {
  background-color: #9BB3E0;
  border-color: #C1D1EF;
  color: #FFFFFF;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary,
.btn-primary:active:focus,
.btn-primary:active:hover,
.btn-primary.active:hover,
.btn-primary.active:focus {
  background-color: #2296E4;
  border-color: #2296E4;
  color: #FFFFFF;
}
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
  background-image: none;
}
.btn-primary.disabled,
.btn-primary.disabled:hover,
.btn-primary.disabled:focus,
.btn-primary.disabled:active,
.btn-primary.disabled.active,
.btn-primary[disabled],
.btn-primary[disabled]:hover,
.btn-primary[disabled]:focus,
.btn-primary[disabled]:active,
.btn-primary.active[disabled],
fieldset[disabled] .btn-primary,
fieldset[disabled] .btn-primary:hover,
fieldset[disabled] .btn-primary:focus,
fieldset[disabled] .btn-primary:active,
fieldset[disabled] .btn-primary.active {
  background-color: #B7C9F0;
  border-color: #B7C9F0;
}
.btn-success {
  background-color: #1c84c6;
  border-color: #1c84c6;
  color: #FFFFFF;
}
.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.open .dropdown-toggle.btn-success,
.btn-success:active:focus,
.btn-success:active:hover,
.btn-success.active:hover,
.btn-success.active:focus {
  background-color: #1a7bb9;
  border-color: #1a7bb9;
  color: #FFFFFF;
}
.btn-success:active,
.btn-success.active,
.open .dropdown-toggle.btn-success {
  background-image: none;
}
.btn-success.disabled,
.btn-success.disabled:hover,
.btn-success.disabled:focus,
.btn-success.disabled:active,
.btn-success.disabled.active,
.btn-success[disabled],
.btn-success[disabled]:hover,
.btn-success[disabled]:focus,
.btn-success[disabled]:active,
.btn-success.active[disabled],
fieldset[disabled] .btn-success,
fieldset[disabled] .btn-success:hover,
fieldset[disabled] .btn-success:focus,
fieldset[disabled] .btn-success:active,
fieldset[disabled] .btn-success.active {
  background-color: #1f90d8;
  border-color: #1f90d8;
}
.btn-info {
  background-color: #23c6c8;
  border-color: #23c6c8;
  color: #FFFFFF;
}
.btn-info:hover,
.btn-info:focus,
.btn-info:active,
.btn-info.active,
.open .dropdown-toggle.btn-info,
.btn-info:active:focus,
.btn-info:active:hover,
.btn-info.active:hover,
.btn-info.active:focus {
  background-color: #21b9bb;
  border-color: #21b9bb;
  color: #FFFFFF;
}
.btn-info:active,
.btn-info.active,
.open .dropdown-toggle.btn-info {
  background-image: none;
}
.btn-info.disabled,
.btn-info.disabled:hover,
.btn-info.disabled:focus,
.btn-info.disabled:active,
.btn-info.disabled.active,
.btn-info[disabled],
.btn-info[disabled]:hover,
.btn-info[disabled]:focus,
.btn-info[disabled]:active,
.btn-info.active[disabled],
fieldset[disabled] .btn-info,
fieldset[disabled] .btn-info:hover,
fieldset[disabled] .btn-info:focus,
fieldset[disabled] .btn-info:active,
fieldset[disabled] .btn-info.active {
  background-color: #26d7d9;
  border-color: #26d7d9;
}
.btn-default {
  color: inherit;
  background: white;
  border: 1px solid #e7eaec;
}
.btn-default:hover,
.btn-default:focus,
.btn-default:active,
.btn-default.active,
.open .dropdown-toggle.btn-default,
.btn-default:active:focus,
.btn-default:active:hover,
.btn-default.active:hover,
.btn-default.active:focus {
  color: inherit;
  border: 1px solid #d2d2d2;
}
.btn-default:active,
.btn-default.active,
.open .dropdown-toggle.btn-default {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}
.btn-default.disabled,
.btn-default.disabled:hover,
.btn-default.disabled:focus,
.btn-default.disabled:active,
.btn-default.disabled.active,
.btn-default[disabled],
.btn-default[disabled]:hover,
.btn-default[disabled]:focus,
.btn-default[disabled]:active,
.btn-default.active[disabled],
fieldset[disabled] .btn-default,
fieldset[disabled] .btn-default:hover,
fieldset[disabled] .btn-default:focus,
fieldset[disabled] .btn-default:active,
fieldset[disabled] .btn-default.active {
  color: #cacaca;
}
.btn-warning {
  background-color: #f8ac59;
  border-color: #f8ac59;
  color: #FFFFFF;
}
.btn-warning:hover,
.btn-warning:focus,
.btn-warning:active,
.btn-warning.active,
.open .dropdown-toggle.btn-warning,
.btn-warning:active:focus,
.btn-warning:active:hover,
.btn-warning.active:hover,
.btn-warning.active:focus {
  background-color: #f7a54a;
  border-color: #f7a54a;
  color: #FFFFFF;
}
.btn-warning:active,
.btn-warning.active,
.open .dropdown-toggle.btn-warning {
  background-image: none;
}
.btn-warning.disabled,
.btn-warning.disabled:hover,
.btn-warning.disabled:focus,
.btn-warning.disabled:active,
.btn-warning.disabled.active,
.btn-warning[disabled],
.btn-warning[disabled]:hover,
.btn-warning[disabled]:focus,
.btn-warning[disabled]:active,
.btn-warning.active[disabled],
fieldset[disabled] .btn-warning,
fieldset[disabled] .btn-warning:hover,
fieldset[disabled] .btn-warning:focus,
fieldset[disabled] .btn-warning:active,
fieldset[disabled] .btn-warning.active {
  background-color: #f9b66d;
  border-color: #f9b66d;
}
.btn-danger {
  background-color: #ed5565;
  border-color: #ed5565;
  color: #FFFFFF;
}
.btn-danger:hover,
.btn-danger:focus,
.btn-danger:active,
.btn-danger.active,
.open .dropdown-toggle.btn-danger,
.btn-danger:active:focus,
.btn-danger:active:hover,
.btn-danger.active:hover,
.btn-danger.active:focus {
  background-color: #ec4758;
  border-color: #ec4758;
  color: #FFFFFF;
}
.btn-danger:active,
.btn-danger.active,
.open .dropdown-toggle.btn-danger {
  background-image: none;
}
.btn-danger.disabled,
.btn-danger.disabled:hover,
.btn-danger.disabled:focus,
.btn-danger.disabled:active,
.btn-danger.disabled.active,
.btn-danger[disabled],
.btn-danger[disabled]:hover,
.btn-danger[disabled]:focus,
.btn-danger[disabled]:active,
.btn-danger.active[disabled],
fieldset[disabled] .btn-danger,
fieldset[disabled] .btn-danger:hover,
fieldset[disabled] .btn-danger:focus,
fieldset[disabled] .btn-danger:active,
fieldset[disabled] .btn-danger.active {
  background-color: #ef6776;
  border-color: #ef6776;
}

.btn-white {
  color: inherit;
  background: white;
  border: 1px solid #e7eaec;
}
.btn-white:hover,
.btn-white:focus,
.btn-white:active,
.btn-white.active,
.open .dropdown-toggle.btn-white,
.btn-white:active:focus,
.btn-white:active:hover,
.btn-white.active:hover,
.btn-white.active:focus {
  color: inherit;
  border: 1px solid #d2d2d2;
}
.btn-white:active,
.btn-white.active {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}
.btn-white:active,
.btn-white.active,
.open .dropdown-toggle.btn-white {
  background-image: none;
}
.btn-white.disabled,
.btn-white.disabled:hover,
.btn-white.disabled:focus,
.btn-white.disabled:active,
.btn-white.disabled.active,
.btn-white[disabled],
.btn-white[disabled]:hover,
.btn-white[disabled]:focus,
.btn-white[disabled]:active,
.btn-white.active[disabled],
fieldset[disabled] .btn-white,
fieldset[disabled] .btn-white:hover,
fieldset[disabled] .btn-white:focus,
fieldset[disabled] .btn-white:active,
fieldset[disabled] .btn-white.active {
  color: #cacaca;
}
.chat-group{
  width: 100%;
  /*border: 1px #ccc solid;*/
  /*border-style: solid hidden solid solid;*/
}
.chat-users{
  height: 300px;
  width: 100%;
  border: 1px #D6D6D6 solid;
  border-color: rgba(219, 219, 219, .5);
  box-shadow: 2px 5px 6px #F1F1F1;
  white-space: normal;
  overflow: hidden;
  display: inline-block;
}
.chat-users-device{
  height: 430px;
  width: 100%;
  border: 1px #D6D6D6 solid;
  border-color: rgba(219, 219, 219, .5);
  box-shadow: 2px 5px 6px #F1F1F1;
  white-space: normal;
  overflow: hidden;
  display: inline-block;
}
.chat-user-scroll-device{
  /* width: 100%; */
  height: 430px;
  word-wrap: break-word;
  overflow-y: auto;
}
.chat-user-scroll{
  /* width: 100%; */
  height: 300px;
  word-wrap: break-word;
  overflow-y: auto;
}
.chat-user-title{
  padding: 5px 0 5px 20px;
  background: -webkit-gradient(linear,center top,center bottom,from(#EAEEF7), to(#FEFFFF));
}
.chat-user-direct{
  width: 80%;
  line-height: 30px;
  display: block;
  border: 1px #ccc solid;
  margin: 20px 15px;
  cursor: pointer;
}
.btn.btn-primary.chat-user-direct.no-radius{
  border-radius: 4px;
}
/*.chat-user-direct:hover{*/
  /*text-decoration: none;*/
  /*background: #9BB3E0;*/
/*}*/

.chat-user-scroll-text{
  background: white;
  transition: 300ms linear background;
  padding: 5px 20px;
  margin: 5px 0;
}
.chat-user-scroll-text:hover{
  background: #D6D3D3;
  //background: -webkit-gradient(linear,center top,center bottom,from(#EAEAEA), to(#D6D6D6));
  border-radius: 4px;
}
//.chat-user-scroll-text.isHover{
//  background: -webkit-gradient(linear,center top,center bottom,from(#EAEAEA), to(#D6D6D6));
//  border-radius: 4px;
//}
.chat-user-scroll-text.selected{
  background: -webkit-gradient(linear,center top,center bottom,from(#EAEAEA), to(#B5B5B5));
  border-radius: 4px;
}
.chat-user-directs{
  text-align: center;
  padding: 40px 0;
}
.btn-flex-center{
  width: 100px;
  margin: 20px 0 0 0;
}
/*@media (max-width: 767px){*/
  /*.chat-user-direct{*/
    /*transform: rotate(90deg);*/
    /*display: inline-block;*/
    /*width: 80px;*/
    /*border: 1px #ccc solid;*/
    /*margin: 20px 0;*/
    /*padding: 10px;*/
    /*cursor: pointer;*/
  /*}*/

/*}*/

.chat-user-scroll-text a:hover{
  text-decoration: none;
}
.nav > li > button {
  position: relative;
  display: block;
  margin: 20px 20px 20px 0;
  padding: 10px 20px;
}
.one-line-btn{
  display: inline-block;
  margin: 20px;
}
.one-line-row{
  display: inline-block;
  width: 50px;
}
.one-line-form{
  display: inline-block;
  margin: 20px 0px;
}
.one-line-btns{
  display: inline-block;
  margin: 0px 0px 0 20px;
}
.one-line-first-btns{
  display: inline-block;
}
.one-line-forms{
  display: inline-block;
  margin: 20px 0px 0px 0px;
}
.one-line-label{
  margin: 20px 0px 0px -50px;
}
.one-line-input{
  margin-left: -15px;
}
.one-line-textbox{
  margin-left: 15px;
}
.line-input[disabled], .line-input[readonly] {
  background-color: #eee;
  opacity: 1;
}
.line-input{
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 60px;
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.line-input:focus{
  border-radius: 4px;
}
.checkbox-option{
  margin-left: 87px;
}

.icon-2x{
  font-size: 2em;
}
.file-upload{
  background: white;
  border-radius: 4px;
  width: 100%;
  height: 60px;
  position: absolute;
  top: -1em;
  pointer-events: none;
  border: 1px #ccc dashed;
}
.file-upload-span{
  vertical-align: super;
  font-weight: 600;
}
.nbox{
  /*min-width: 930px;*/
}
.nbox .nbox-menu{
  padding: 2px 20px;
  background-color: #00b3ee;
}
.nbox-group-input{
  border: 1px #ccc solid;
  border-radius: 4px;
  width: 100%;
  min-width: 120px;
}
.nbox-group-input input,
.nbox-group-input input:focus{
  border: 0px;
  -webkit-box-shadow: none;
  outline: none;
}
.nbox-group-input input{
  /*width: 82%;*/
  display: inline-block;
}
.input-icon-search{
  float: right;
  /*width: 20px;*/
  color: #cccccc;
  margin-top: 10px;
}
.nbox-content-heading{
  margin-top: 20px;
}
.widen-limit{
  min-width: 972px;
  overflow-y: auto;
}
div.ui-grid-cell input.checkbox-column{
  width: 15px;
  height: 15px;
  margin: 0px;
}
.andon-input-wrapper .ad-right-child.focus{
  position: relative;
  cursor: pointer;
  font-size: 18px;
}
.andon-input-wrapper .ad-right-child.focus:hover{
  color: #1AB394;
  animation: myfirst 0.3s linear;
}
@keyframes myfirst
{
  0%   {left:0px; top:0px;}
  25%  { left:-2px; top:-2px;}
  50%  { left:-2px; top:0px;}
  75%  {left:-2px; top:2px;}
  100%  {left:0px; top:2px;}
}
.max-width-limit{
  max-width: 900px;
}
.no-tab-save{
  padding-bottom: 20px;
}
.user .search-group-input-btn{
  display: flex;
  padding-left: 0px;
  margin: 20px 0;
}
.user .plc-group-input-btn{
  margin: 10px 0;
}
.user .nav-tab-mini{
  margin-left: 20px;
}
.user .search-long-half{
  width: 50%;
}
.user .search-sm-tweenty{
  width: 20%;
}
.modal-work-param .modal-header .modal-title{
  margin: 0;
  line-height: 1;
  color: #34C0E2;
  font-size: 16px;
  font-weight: bold;
  display: inline-block;
}
.modal-work-param .modal-header .modal-icon{
  display: inline-block;
  float: right;
  font-size: 16px;
  color: #F8AC59;
}
.modal-work-param .modal-header .modal-icon:hover{
  color: #FAA54B;
  cursor: pointer;
  transform:rotate(180deg);
  -ms-transform:rotate(180deg);   /* IE 9 */
  -moz-transform:rotate(180deg);  /* Firefox */
  -webkit-transform:rotate(180deg); /* Safari 和 Chrome */
  -o-transform:rotate(180deg);
}
/*@keyframes modal-icon-spinner*/
/*{*/
/*animation: myfirst 0.3s linear;*/
/*}*/


.myModalGrid{
  height: 295px;
}



.collapsed-panel{
  margin: 10px 15px;
  background-color: #F5F5F5;
  border: 1px solid #e3e3e3;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
}
.collapsed-panel .collapsed-panel-content{
  padding: 10px 0;
}



.echarts{
  width: 500px;
  height: 300px;
}

// awesome-bootstrap-checkbox
.checkbox {
  padding-left: 20px;
}
.checkbox label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px;
}
.checkbox label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 3px;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
  transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}
.checkbox label::after {
  display: inline-block;
  position: absolute;
  width: 16px;
  height: 16px;
  left: 0;
  top: 0;
  margin-left: -20px;
  padding-left: 3px;
  padding-top: 1px;
  font-size: 11px;
  color: #555555;
}
.checkbox input[type="checkbox"],
.checkbox input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.checkbox input[type="checkbox"]:focus + label::before,
.checkbox input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.checkbox input[type="checkbox"]:checked + label::after,
.checkbox input[type="radio"]:checked + label::after {
  font-family: "FontAwesome";
  content: "\f00c";
}
.checkbox input[type="checkbox"]:disabled + label,
.checkbox input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.checkbox input[type="checkbox"]:disabled + label::before,
.checkbox input[type="radio"]:disabled + label::before {
  background-color: #eeeeee;
  cursor: not-allowed;
}
.checkbox.checkbox-circle label::before {
  border-radius: 50%;
}
.checkbox.checkbox-inline {
  margin-top: 0;
}

.checkbox-primary input[type="checkbox"]:checked + label::before,
.checkbox-primary input[type="radio"]:checked + label::before {
  background-color: #337ab7;
  border-color: #337ab7;
}
.checkbox-primary input[type="checkbox"]:checked + label::after,
.checkbox-primary input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-danger input[type="checkbox"]:checked + label::before,
.checkbox-danger input[type="radio"]:checked + label::before {
  background-color: #d9534f;
  border-color: #d9534f;
}
.checkbox-danger input[type="checkbox"]:checked + label::after,
.checkbox-danger input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-info input[type="checkbox"]:checked + label::before,
.checkbox-info input[type="radio"]:checked + label::before {
  background-color: #5bc0de;
  border-color: #5bc0de;
}
.checkbox-info input[type="checkbox"]:checked + label::after,
.checkbox-info input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-warning input[type="checkbox"]:checked + label::before,
.checkbox-warning input[type="radio"]:checked + label::before {
  background-color: #f0ad4e;
  border-color: #f0ad4e;
}
.checkbox-warning input[type="checkbox"]:checked + label::after,
.checkbox-warning input[type="radio"]:checked + label::after {
  color: #fff;
}

.checkbox-success input[type="checkbox"]:checked + label::before,
.checkbox-success input[type="radio"]:checked + label::before {
  background-color: #5cb85c;
  border-color: #5cb85c;
}
.checkbox-success input[type="checkbox"]:checked + label::after,
.checkbox-success input[type="radio"]:checked + label::after {
  color: #fff;
}

.radio {
  padding-left: 20px;
}
.radio label {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  padding-left: 5px;
}
.radio label::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 17px;
  height: 17px;
  left: 0;
  margin-left: -20px;
  border: 1px solid #cccccc;
  border-radius: 50%;
  background-color: #fff;
  -webkit-transition: border 0.15s ease-in-out;
  -o-transition: border 0.15s ease-in-out;
  transition: border 0.15s ease-in-out;
}
.radio label::after {
  display: inline-block;
  position: absolute;
  content: " ";
  width: 11px;
  height: 11px;
  left: 3px;
  top: 3px;
  margin-left: -20px;
  border-radius: 50%;
  background-color: #555555;
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  -o-transform: scale(0, 0);
  transform: scale(0, 0);
  -webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  -o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
  transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}
.radio input[type="radio"] {
  opacity: 0;
  z-index: 1;
}
.radio input[type="radio"]:focus + label::before {
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}
.radio input[type="radio"]:checked + label::after {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  -o-transform: scale(1, 1);
  transform: scale(1, 1);
}
.radio input[type="radio"]:disabled + label {
  opacity: 0.65;
}
.radio input[type="radio"]:disabled + label::before {
  cursor: not-allowed;
}
.radio.radio-inline {
  margin-top: 0;
}

.radio-primary input[type="radio"] + label::after {
  background-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::before {
  border-color: #337ab7;
}
.radio-primary input[type="radio"]:checked + label::after {
  background-color: #337ab7;
}

.radio-danger input[type="radio"] + label::after {
  background-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::before {
  border-color: #d9534f;
}
.radio-danger input[type="radio"]:checked + label::after {
  background-color: #d9534f;
}

.radio-info input[type="radio"] + label::after {
  background-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::before {
  border-color: #5bc0de;
}
.radio-info input[type="radio"]:checked + label::after {
  background-color: #5bc0de;
}

.radio-warning input[type="radio"] + label::after {
  background-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::before {
  border-color: #f0ad4e;
}
.radio-warning input[type="radio"]:checked + label::after {
  background-color: #f0ad4e;
}

.radio-success input[type="radio"] + label::after {
  background-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::before {
  border-color: #5cb85c;
}
.radio-success input[type="radio"]:checked + label::after {
  background-color: #5cb85c;
}

input[type="checkbox"].styled:checked + label:after,
input[type="radio"].styled:checked + label:after {
  font-family: 'FontAwesome';
  content: "\f00c";
}
input[type="checkbox"] .styled:checked + label::before,
input[type="radio"] .styled:checked + label::before {
  color: #fff;
}
input[type="checkbox"] .styled:checked + label::after,
input[type="radio"] .styled:checked + label::after {
  color: #fff;
}



